Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class GroupRequestViaKeyboard

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.GroupRequest
              org.eclipse.gmf.runtime.diagram.ui.requests.GroupRequestViaKeyboard

public class GroupRequestViaKeyboard
extends GroupRequest

A group request that originated from the Keyboard due to the use of a hot/shortcut key

Constructor Summary
`GroupRequestViaKeyboard()` Default constructor.
`GroupRequestViaKeyboard(java.lang.Object type)` Creates a GroupRequest with the given type.

Method Summary
`boolean` `isShowInformationDialog()`
`void` `setShowInformationDialog(boolean showInformationDialog)`

Methods inherited from class org.eclipse.gef.requests.GroupRequest
`getEditParts, setEditParts, setEditParts`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupRequestViaKeyboard

    public GroupRequestViaKeyboard(java.lang.Object type)

  Creates a GroupRequest with the given type.

Parameters:
  `type` - The type of Request.

### GroupRequestViaKeyboard

    public GroupRequestViaKeyboard()

  Default constructor.

Method Detail

### isShowInformationDialog

    public boolean isShowInformationDialog()

  Returns:
    Returns the showInformationDialog.

### setShowInformationDialog

    public void setShowInformationDialog(boolean showInformationDialog)

  Parameters:
    `showInformationDialog` - The showInformationDialog to set.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.